#!/bin/sh
#
# CoCompose design language tool documentation generator
#
# Note: javadoc must be in your PATH variable OR $JDK_HOME must be defined
#

if [ "$JDK_HOME" == "" ]; then
  JAVADOC="javadoc"
else
  JAVADOC="$JDK_HOME/bin/javadoc"
fi

echo "Removing old documentation..."
rm -rf EDU
rm -rf constraints
rm -rf implementations
rm -rf translate
${JAVADOC} -sourcepath ../src:../plugins/src -classpath ../classes:../plugins/classes:../xmlParserAPIs.jar:../xercesImpl.jar -author -version -windowtitle "CoCompose API Documentation" EDU.utwente.CoCompose EDU.utwente.CoCompose.algorithm EDU.utwente.CoCompose.gui EDU.utwente.CoCompose.lang EDU.utwente.CoCompose.translate EDU.utwente.CoCompose.util EDU.utwente.CoCompose.xml EDU.auburn.VGJ EDU.auburn.VGJ.algorithm EDU.auburn.VGJ.algorithm.cartegw EDU.auburn.VGJ.algorithm.cgd EDU.auburn.VGJ.algorithm.shawn EDU.auburn.VGJ.algorithm.tree EDU.auburn.VGJ.examplealg EDU.auburn.VGJ.graph EDU.auburn.VGJ.gui EDU.auburn.VGJ.util constraints implementations translate
